<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 03/17/2009 *
 * ===================                          Last change: 03/17/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-menu.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : The menu system in admin area (manage)           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Das Menue-System im Adminbereich (verwalten)     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0.4');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0','0.0.1','0.0.2','0.0.3', '0.0.4'));

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running
		// SQL commands to run
		// @TODO Convert menu-Id to one coding-standard. admin(edit|_add) => admin_menu_(edit|add), mem(edit|_add) => (edit|add)_(admin|guest|member)_menu
		addAdminMenuSql('menu',NULL,'Men&uuml;-System','Alle drei Men&uuml;-System bearbeiten (Admin-, Mitglied- und Gast-Men&uuml;)',1);
		addAdminMenuSql('menu','admin_add','Admin-Men&uuml; hinzuf&uuml;gen','Weiteren Men&uuml;punkt zum Admin-Bereich hinzuf&uuml;gen',1);
		addAdminMenuSql('menu','adminedit','Admin-Men&uuml; editieren','Das Administrationsmen&uuml; mit neuen Men&uuml;s erweitern, bestehende &auml;ndern oder l&ouml;schen. <strong>Vorsicht!</strong> L&ouml;schen Sie nicht das Login-Men&uuml;!',2);
		addAdminMenuSql('menu','mem_add','Mitgliedsmen&uuml; hinzuf&uuml;gen','Weiteren Men&uuml;punkt zum Mitgliedsmen&uuml; hinzuf&uuml;gen',3);
		addAdminMenuSql('menu','memedit','Mitgliedsmen&uuml; editieren','Mitgliedsmen&uuml; editieren oder l&ouml;schen',4);
		addAdminMenuSql('menu','guest_add','G&auml;ste-Men&uuml; hinzuf&uuml;gen','F&uuml;gen Sie weitere Men&uuml;punkte dem G&auml;ste-Men&uuml; hinzu.',5);
		addAdminMenuSql('menu','guestedit','G&auml;ste-Men&uuml; editieren','G&auml;ste-Men&uuml; editieren, l&ouml;schen',6);
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='menu'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				addConfigAddSql('guest_menu_advert_enabled', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
				addConfigAddSql('member_menu_advert_enabled', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");

				// Insert menu entry
				addAdminMenuSql('menu','config_menu','Einstellungen','Einstellungen an den Gast- und Mitgliedsmen&uuml;s vornehmen.',7);

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Gast- und Mitgliedsmen&uuml;s k&ouml;nnen nun Werbung zwischen den Men&uuml;bl&ouml;cken einblenden.");
				break;

			case '0.0.2': // SQL queries for v0.0.2
				// Load the fix include
				addIncludeToPool('extension', 'inc/fix_menu.php');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Doppelte Men&uuml;punkte bereinigt.");
				break;

			case '0.0.3': // SQL queries for v0.0.3
				// Change menu-string
				addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_admin_menu` SET `title`='Admin-Men&uuml; editieren' WHERE `what` = 'adminedit' LIMIT 1");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Men&uuml;punkt &#39;Vom Admin editieren&#39; in &#39;Admin-Men&uuml; editieren&#39; bei bereits bestehenden Installationen um&auml;ndern.");
				break;

			case '0.0.4': // SQL queries for v0.0.4
				// Change menu-string
				addExtensionSql("ALTER TABLE `{?_MYSQL_PREFIX?}_admin_menu` CHANGE `title` `title` VARCHAR(255) NOT NULL DEFAULT ''");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("VARCHAR(50) ist zu kurz f&uuml;r Linktitel (wegen der dynamischen Anteile).");
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
